PRS(1)

NAME
prs - display selected portions of an SCCS history

SYNOPSIS

prs [-ddataspec] [-rsid] [-e] [-l] [-cdate-time] [-a] s.filename...

DESCRIPTION

The prs utility displays part or all of the SCCS file (see sccsfile(5)) in a user supplied format.

If a directory name is used in place of the s.filename argument, the prs command applies to all s.files in that directory. Unreadable s.files produce an error; processing continues with the next file (if any). The use of `-' as the s.filename argument indicates that the names of files are to be read from the standard input, one s.file per line.

In the absence of options, prs displays the delta table (version log). In the absence of -d, or -l, prs displays the entry for each delta indicated by the other options.

    -ddataspec
        Produce a report according to the indicated data specification. dataspec consists of a (quoted) text string that includes embedded data keywords of the form: `:key:' (see Data Keywords, below). prs expands these keywords in the output it produces. To specify a TAB character in the output, use \t; to specify a NEWLINE in the output, use \n.

    -rsid
        Specifies the SCCS delta ID (SID) of the delta for which information is desired. If no SID is specified, the most recently created delta is used.

    -e  Requests information for all deltas created earlier than, and including, the delta indicated with -r or -c.

    -l  Requests information for all deltas created later than, and including, the delta indicated with -r or -c.

    -cdate-time
        Either options -e or -l must be used with this option. -cdate-time displays information on the deltas checked in either prior to and including the date and time indicated by the date-time argument (option -e); or later than and including the date and time indicated (option -l). date-time takes the form:

        yy[mm[dd[hh[mm[ss]]]]]

        Units omitted from the indicated date and time default to their maximum possible values; that is -c7502 is equivalent to -c750228235959. Any number of non-numeric characters may separate the various 2 digit components. If white-space characters occur, the date-time specification must be quoted. Values of yy in the range 69-99 refer to the twentieth century. Values in the range of 00-68 refer to the twenty-first century.

    -a  Includes all deltas, including those marked as removed (see rmdel(1)).

DATA KEYWORDS
Data keywords specify which parts of an SCCS file are to be retrieved. All parts of an SCCS file (see sccsfile(5)) have an associated data keyword. A data keyword may appear any number of times in a data specification argument to -d. These data keywords are listed in the table below:

KeywordData ItemFile Section*ValueFormat**
:A:T{
a format for the what string:
T}N/A:Z::Y: :M: :I::Z:S
:B:T{
branch number
T}DnnnnS
:BD:T{
body
T}BtextM
:BF:T{
branch flag
T}Fyes or noS
:CB:T{
ceiling boundary
T}F:R:S
:C:T{
comments for delta
T}DtextM
:D:T{
date delta created
T}D:Dy:/:Dm:/:Dd:S
:Dd:T{
day delta created
T}DnnS
:Dg:T{
deltas ignored (seq #)
T}D:DS: :DS:...S
:DI:T{
seq-no. of deltas included, excluded, ignored
T}T{
D
T}:Dn:/:Dx:/:Dg:S
:DL:T{
delta line statistics
T}D:Li:/:Ld:/:Lu:S
:Dm:T{
month delta created
T}DnnS
:Dn:T{
deltas included (seq #)
T}D:DS: :DS:...S
:DP:T{
predecessor delta seq-no.
T}DnnnnS
:Ds:T{
default SID
T}F:I:S
:DS:T{
delta sequence number
T}DnnnnS
:Dt:T{
delta information
T}D :DT: :I: :D: :T: :P: :DS: :DP:S
:DT:T{
delta type
T}DD or RS
:Dx:T{
deltas excluded (seq #)
T}D:DS: ...S
:Dy:T{
year delta created
T}DnnS
:F:T{
s.file name
T}N/AtextS
:FB:T{
floor boundary
T}F:R:S
:FD:T{
file descriptive text
T}CtextM
:FL:T{
flag list
T}FtextM
:GB:T{
gotten body
T}BtextM
:I:T{
SCCS delta ID (SID)
T}D:R:.:L:.:B:.:S:S
:J:T{
joint edit flag
T}Fyes or noS
:KF:T{
keyword error/warning flag
T}Fyes or noS
:L:T{
level number
T}DnnnnS
:Ld:T{
lines deleted by delta
T}DnnnnnS
:Li:T{
lines inserted by delta
T}DnnnnnS
:LK:T{
locked releases
T}F:R:...S
:Lu:T{
lines unchanged by delta
T}DnnnnnS
:M:T{
module name
T}FtextS
:MF:T{
MR validation flag
T}Fyes or noS
:MP:T{
MR validation program
T}FtextS
:MR:T{
MR numbers for delta
T}DtextM
:ND:T{
null delta flag
T}Fyes or noS
:Q:T{
user defined keyword
T}FtextS
:P:T{
user who created delta
T}DusernameS
:PN:T{
s.file's pathname
T}N/AtextS
:R:T{
release number
T}DnnnnS
:S:T{
sequence number
T}DnnnnS
:T:T{
time delta created
T}D:Th:::Tm:::Ts:S
:Th:T{
hour delta created
T}DnnS
:Tm:T{
minutes delta created
T}DnnS
:Ts:T{
seconds delta created
T}DnnS
:UN:T{
user names
T}UtextM
:W:T{
a form of what string
T}N/A:Z::M:\t:I:S
:Y:T{
module type flag
T}FtextS
:Z:T{
what string delimiter
T}N/A@(#)S

*B = body, D = delta table, F = flags, U = user names
**S = simple format, M = multi-line format

EXAMPLES

Example 1 Displaying delta entries

The following command:

$ prs -e -d":I:\t:P:" program.c

produces:

1.6	username
1.5 username...

FILES

/tmp/pr?????
    temporary file

SEE ALSO
admin(1), delta(1), get(1), help(1), sccsfile(5)

DIAGNOSTICS
Use the SCCS help command for explanations (see help(1)).